View Issue Details

IDCategoryLast Update
0001041bugs2008-11-20 23:57
ReporterpeppotAssigned Topaul 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0001041: If track name has ":" in it, outputs are not saved
DescriptionName a track "CD:n"

and save.

Reopen the session: the outputs are lost.
TagsNo tags attached.

Activities

peppot

2005-07-28 22:37

reporter   ~0002291

This is caused by JACK not allowing semicolons in port names.

As las said on IRC, this needs to be prevented/handled by Ardour.

taybin

2007-02-22 17:30

administrator   ~0003346

Is this still an issue?

paul

2007-02-23 16:55

administrator   ~0003371

its still an issue with current SVN

taybin

2007-02-23 17:07

administrator   ~0003373

The easy fix is to disallow colons in track names.

paul

2007-02-23 17:28

administrator   ~0003374

fixed in svn, rev 1502.

all colons are changed to '-', not just for tracks but any IO object (which are the owners of ports anyway, and its the port name that is the issue)

Issue History

Date Modified Username Field Change
2005-07-28 22:10 peppot New Issue
2005-07-28 22:37 peppot Note Added: 0002291
2007-02-22 17:30 taybin Note Added: 0003346
2007-02-23 16:55 paul Note Added: 0003371
2007-02-23 16:55 paul Status new => confirmed
2007-02-23 17:07 taybin Note Added: 0003373
2007-02-23 17:28 paul Status confirmed => resolved
2007-02-23 17:28 paul Resolution open => fixed
2007-02-23 17:28 paul Assigned To => paul
2007-02-23 17:28 paul Note Added: 0003374
2008-11-20 23:57 seablade Status resolved => closed